// Model: user.service.ts

export interface User {
    name: string;
    age: number;
}

import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';

@Injectable({
    providedIn: 'root',
})
export class UserService {
    constructor() { }

    getUser(): Observable<User> {
        const user: User = { name: 'John Doe', age: 35 };
        return of(user);
    }

    createUser(name: string, age: number): User {
        return { name: name, age: age } as User;
    }
}